{
    "extends": "@antfu",
    "rules": {
        "@typescript-eslint/quotes": [
            "error",
            "double"
        ],
        "antfu/top-level-function": [
            "off"
        ],
        "brace-style": [
            "error",
            "1tbs",
            {
                "allowSingleLine": false
            }
        ],
        "curly": [
            "off"
        ],
        "@typescript-eslint/brace-style": [
            "off"
        ],
        "no-console": [
            "warn",
            {
                "allow": [
                    "warn",
                    "error"
                ]
            }
        ],
        // Disabled rules that should be re-enabled later progressively
        "@typescript-eslint/no-use-before-define": [
            "warn"
        ],
        "vue/require-v-for-key": [
            "warn"
        ],
        "no-unused-expressions": [
            "warn"
        ],
        "no-sequences": [
            "warn"
        ],
        "vue/custom-event-name-casing": [
            "warn"
        ],
        "vue/no-unused-refs": [
            "warn"
        ],
        "vue/valid-v-on": [
            "warn"
        ],
        "vue/no-unused-vars": [
            "warn"
        ],
        "no-mixed-operators": [
            "warn"
        ],
        "@typescript-eslint/ban-ts-comment": [
            "warn"
        ],
        "vue/require-valid-default-prop": [
            "warn"
        ],
        "vue/valid-v-for": [
            "warn"
        ],
        "vue/no-mutating-props": [
            "warn"
        ],
        "vue/valid-v-slot": [
            "warn"
        ],
        "vue/no-deprecated-v-on-native-modifier": [
            "warn"
        ],
        "prefer-regex-literals": [
            "warn"
        ]
    }
}